package soln;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintStream;
import java.util.Scanner;

import helper.CargoContainer;

/**
 * Name: Last Name, First Name
 * 
 * Student Number: xxxxxxxxx
 * 
 * Declaration: I hereby assert that this application was written by me. I
 * understand that it is a violation of the Senate Policy on Academic Honesty
 * for me to submit someone else's work without identifying it as such and that
 * this is a form of cheating. I also understand that if it is discovered that I
 * have committed a breach of Academic Honesty for cheating or any other charge,
 * then the full extent of available penalties may be brought against me.
 * 
 */
public class Check11P {

	public static void main(String[] args) throws FileNotFoundException {

		// Step 1a. Create a CargoContainer object called
		// cargoContainer.
		// public CargoContainer()
		// Use the default constructor in the CargoContainer API.
		// To find the CargoContainer API, open the index.html file that is
		// found in
		// this project under the package called doc. Please note the
		// CargoContainer
		// API has changed since previous use.
		CargoContainer cargoContainer = new CargoContainer();

		// Step 1b. Create a File object called file.
		// public File(String filename)
		// Set the filename to be "stockOfTVs". This file already exists in the
		// labtest
		// directory and we want to be able to read from it.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		File file = new File("stockOfTVs");

		// Step 1c. Create a Scanner object called inputFile.
		// public Scanner(File file)
		// Set the file parameter to the file created in the step above.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		Scanner inputFile = new Scanner(file);

		// Step 1d. Create a new int variable called boxesOfTVs and set it to 0.
		int boxesOfTVs = 0;

		// Step 1e. The file "stockOfTVs" lists a set of integer values.
		// Use the Scanner inputFile to read the values from the
		// file and add all the values to boxesOfTVs. When the file has finished
		// being read, the value of boxesOfTVs should be the sum of the integers
		// in the
		// file.
		// Refer to section 5.2.3 (Page 200 2ed and Page 199 3ed)
		for (; inputFile.hasNext();)
			boxesOfTVs = boxesOfTVs + inputFile.nextInt();

		// Step 1f. Look at the CargoContainer API for the method
		// called addATVBox().
		// Create a for loop that will add a TV Box, one at a time, until
		// all boxes of TVs specified by the variable boxesOfTVs have been added
		// to the cargoContainer.
		// For reference look at page
		// section 5.2.3 (Page 192 2ed and Page 191
		// 3ed)
		for (int i = 0; i < boxesOfTVs; i++)
			cargoContainer.addATVBox();

		// Step 1g. We will no longer be using input from the file stockOfTVs file.
		// Use the method close on the Scanner inputFile to close access
		// to the file.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		inputFile.close();

		// Step 1h. We would now like to store some information about the
		// cargo container in a file called "results".
		// Create a new File object
		// public File(String fileName)
		// The filename should be the string "results".
		file = new File("results");

		// Step 1i. In order to write to the file we have to create a PrintStream.
		// public PrintStream(File file)
		// Call the print stream output and supply the file
		// in step h to it.
		// Refer to section 5.3.2 (Page 200 2ed and Page 199 3ed)
		PrintStream output = new PrintStream(file);

		// Step 1j. PrintStream has a method called println that works just like
		// the println method of System.out
		// Use the method to write the title of the file
		// The title of the file is "Contents of Cargo Container:"
		output.println("Contents of Cargo Container:");

		// Step 1k. The cargo container class has the following to methods
		// public double getPriceOfATV()
		// public int getBoxesOfTVs()
		// public double getTotalValueOfCargoContainer()
		// Read the API to get familiar with these methods.
		// Write the following messages to the file results
		// "The cost of a TV is " followed by the price of a TV.
		// "There are " followed by the number of BoxesOfTVs in the cargo
		// container
		// followed by the string "boxes of TVs in the cargo container".
		// And
		// "The total value of the cargo container is $" followed by the total
		// value of the Cargo Container
		output
				.println("The cost of a TV is $"
						+ cargoContainer.getPriceOfATV());
		output.println("There are " + cargoContainer.getBoxesOfTVs()
				+ " boxes of TVs in the cargo container.");
		output.println("The value of the cargo container is $"
				+ cargoContainer.getTotalValueOfCargoContainer());

		// Step 1l. We will no longer be writing to the file results.
		// Use the method close on the PrintStream outputFile to close access
		// to the file.
		output.close();

		// Note: If you run this app repeatedly, the file "results" will be
		// rewritten and Eclipse will deem the file "out of sync"
		// To fix this, select the file (click once to turn it blue), then press
		// F5 or File->Refresh

		// Step 1m. Answer the written comprehension question that is found in
		// the file Check11R.txt. It is listed in this project as the last
		// entry as "Check11R".

		// Step 1n. Complete Check11Q.java
	}
}
